Skip to main content
GET
/
location
Get all locations
curl --request GET \
  --url https://prod01.oms.fabric.inc/api/v2/location \
  --header 'Authorization: Bearer <token>' \
  --header 'x-site-context: <x-site-context>'
import requests

url = "https://prod01.oms.fabric.inc/api/v2/location"

headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};

fetch('https://prod01.oms.fabric.inc/api/v2/location', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "locations": [
    {
      "attributes": {
        "isReturns": true
      },
      "id": "622fae9a065d9e62a4029f79",
      "locationNum": 13,
      "name": "CA",
      "isActive": true,
      "address": {
        "addressLine1": "2800 Ashcraft Court",
        "addressLine2": "Fairview road",
        "addressLine3": "N 9 1/2 street",
        "addressLine4": "Coronado school",
        "city": "Coronado",
        "state": "California",
        "country": "USA",
        "postalCode": 92118,
        "type": "2800 Ashcraft Court",
        "contact": [
          {
            "type": "Residence",
            "email": "mark@email.com",
            "phone": [
              {
                "number": "555-555-5555",
                "type": "mobile"
              }
            ],
            "name": {
              "first": "John",
              "middle": "Mark",
              "last": "Doe"
            }
          }
        ]
      },
      "type": "warehouse",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "operatingHours": [
        {
          "day": "Monday",
          "hours": [
            {
              "open": "10:00",
              "close": "16:00"
            }
          ]
        }
      ],
      "coordinates": {
        "type": "Point",
        "coordinates": [
          [
            "-22.95239063733024",
            "-43.21034257655916"
          ]
        ]
      },
      "services": {
        "isCurbsidePickUp": false
      }
    }
  ],
  "pagination": {
    "total": 1,
    "limit": 1,
    "offset": 0
  }
}
{
"message": "Invalid payload or parameter"
}
{
"message": "Resource not found. If the issue persists please contact support@fabric.inc."
}
{
"message": "An internal error occurred. If the issue persists please contact support@fabric.inc."
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-site-context
string
required

The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.

Example:

"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"

Query Parameters

locationSearchModel
object
paginationModel
object

Pagination object represents the process of separating data into different pages

Response

Success

Paginated location details

locations
object[]
pagination
object

Pagination object represents the process of separating data into different pages